import request from '@/utils/request'

// 查询客户电子会员卡消费记录列表
export function listConsumption(query) {
  return request({
    url: '/customer/consumption/list',
    method: 'get',
    params: query
  })
}

// 查询客户电子会员卡消费记录详细
export function getConsumption(id) {
  return request({
    url: '/customer/consumption/' + id,
    method: 'get'
  })
}

// 新增客户电子会员卡消费记录
export function addConsumption(data) {
  return request({
    url: '/customer/consumption',
    method: 'post',
    data: data
  })
}

// 修改客户电子会员卡消费记录
export function updateConsumption(data) {
  return request({
    url: '/customer/consumption',
    method: 'put',
    data: data
  })
}

// 删除客户电子会员卡消费记录
export function delConsumption(id) {
  return request({
    url: '/customer/consumption/' + id,
    method: 'delete'
  })
}

// 导出客户电子会员卡消费记录
export function exportConsumption(query) {
  return request({
    url: '/customer/consumption/export',
    method: 'get',
    params: query
  })
}

// 查询客户电子会员卡消费记录列表
export function xfAmtQuery(query) {
  return request({
    url: '/customer/consumption/xfAmtQuery',
    method: 'get',
    params: query
  })
}


// 查询客户电子会员卡消费记录列表
export function listXdata(query) {
  return request({
    url: '/customer/consumption/listXdata',
    method: 'get',
    params: query
  })
}


export function listQydataXF(query) {
  return request({
    url: '/customer/consumption/listQydataXF',
    method: 'get',
    params: query
  })
}
